<ng-container *ngIf="(title$ | async) as result">
    <p>{{ title$ | async }}</p>
</ng-container>
<button [routerLink]="['/posts']">Posts</button>
<button [routerLink]="['/todos']">Todos</button>
<router-outlet></router-outlet>
